<template>
  <div class="logLog_box">
    <My-bread
      :list="[
        `${$t('userManage.userManage')}`,
        `${$t('userManage.roleManage')}`,
      ]"
    ></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="ruleForm" :model="roleForm" :inline="true">
        <el-form-item :label="$t('userManage.RM.roleName')" prop="username">
          <el-input v-model="roleForm.username" />
        </el-form-item>
        <el-form-item
          :label="$t('userManage.RM.ownedSystem')"
          prop="ownedSystem"
        >
          <el-select v-model="roleForm.ownedSystem">
            <el-option :label="$t('userManage.RM.one')" value="one" />
          </el-select>
        </el-form-item>
        <br />
        <el-form-item>
          <el-button
            ><i class="el-icon-circle-plus-outline"></i> &nbsp;{{
              $t("userManage.RM.add")
            }}</el-button
          >
        </el-form-item>
        <el-form-item>
          <el-button
            ><i class="el-icon-search"></i> &nbsp;{{
              $t("userManage.RM.query")
            }}</el-button
          >
        </el-form-item>
        <el-form-item>
          <el-button @click="resetForm('ruleForm')"
            ><i class="el-icon-delete"></i>&nbsp;{{
              $t("userManage.RM.reset")
            }}</el-button
          >
        </el-form-item>
      </el-form>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%" height="99%">
        <el-table-column
          align="center"
          type="index"
          :label="$t('userManage.RM.index')"
          width="70px"
        />
        <el-table-column
          align="center"
          prop="roleName"
          :label="$t('userManage.RM.roleName')"
        />

        <el-table-column
          align="center"
          prop="ownedSystem"
          :label="$t('userManage.RM.ownedSystem')"
        />
        <el-table-column
          align="center"
          prop="Permission"
          :label="$t('userManage.RM.Permission')"
        />
        <el-table-column
          align="center"
          prop="resourcePermission"
          :label="$t('userManage.RM.resourcePermission')"
        />
        <el-table-column
          align="center"
          prop="roleSetting"
          :label="$t('userManage.RM.groupSetting')"
        />
        <el-table-column
          fixed="right"
          :label="$t('common.operate')"
          width="300"
        >
          <template #default>
            <el-button type="warning" size="small">{{
              $t("common.update")
            }}</el-button>
            <el-button type="danger" size="small">{{
              $t("common.delete")
            }}</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="0"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>
  
  <script>
import MyBread from "../../components/MyBread.vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage: 1,
      roleForm: {
        groupName: "",
        ownedSystem: "",
      },
      tableData: [],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
    resetForm(formName) {
      this.$refs[formName].resetFields();
    },
  },
  created() {},
};
</script>
  <style lang="less" scoped>
//@import url(); 引入公共css类
.logLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .el-input {
    width: 300px;
  }
  .inquire {
    height: 110px;
    overflow: auto;
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
    .el-form-item {
      margin: 7px;
    }
  }
  .table_box {
    height: 65%;
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
  